# Create profile

URL: https://docs.emergingtravel.com/docs/b2b-api/profiles/create-profile/

Tags: b2b

---


```
https://api.worldota.net/api/b2b/v3/profiles/create/
```

The call creates a contract profile.

## Request example

```shell
curl --user '<KEY_ID>:<API_KEY>' 'https://api.worldota.net/api/b2b/v3/profiles/create/' \
--header 'Content-Type: application/json' \
--data-raw '{
  "email": "john.smith@example.com",
  "first_name": "John",
  "last_name": "Smith",
  "phone": "+4412344567899",
  "type": "master",
}'
```

## Request body



[//]: # (email)
- **email** *(String, required)*

  <p>The profile email address.</p>


[//]: # (first_name)
- **first_name** *(String, required)*

  <p>The profile first name.</p>
  > [!NOTE]
  > The value matches the pattern: `^[^\W\d_]+([^\W\d_]*[\u0590-\u05FF\u0900-\u097F\u0980-\u09FF\u0E00-\u0E7F'\-,.’\s]*)*$`.


[//]: # (last_name)
- **last_name** *(String, required)*

  <p>The profile last name.</p>
  > [!NOTE]
  > The value matches the pattern: `^[^\W\d_]+([^\W\d_]*[\u0590-\u05FF\u0900-\u097F\u0980-\u09FF\u0E00-\u0E7F'\-,.’\s]*)*$`.


[//]: # (middle_name)
- **middle_name** *(String, optional)*

  <p>The profile middle name.</p>
  > [!NOTE]
  > The value matches the pattern: `^[^\W\d_]+([^\W\d_]*[\u0590-\u05FF\u0900-\u097F\u0980-\u09FF\u0E00-\u0E7F'\-,.’\s]*)*$`.


[//]: # (phone)
- **type** *(String, optional)*

  <p>The profile phone number.</p>
  > [!NOTE]
  > * The minimum length is `5` characters.
  > * The maximum length is `35` characters.


[//]: # (type)
- **type** *(String, required)*

  <p>The profile type.</p>
  > [!NOTE]
  > * The possible values:
  >     * `csbt_admin`.
  >     * `employee`.
  >     * `finance`.
  >     * `manager`.
  >     * `master`.
  >     * `self_booker`.
  >     * `sub_agent_supervisor`.
  >     * `supervisor`.
  >     * `travel_manager`.





## Response example

```json
{
  "data": null,
  "debug": null,
  "error": null,
  "status": "ok"
}
```

## Errors

The `error` field has the value specified in the headers below.

### `user_already_exists`

The profile with such an email address already exists.
